%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion	0.9.8
%define release		1mdk

%define realname	Imagick
%define modname		imagick
%define dirname		%{modname}
%define soname		%{modname}.so
%define inifile		55_%{modname}.ini
%define mod_src		%{modname}.c

Summary:		Provides a wrapper to the Image Magick Library for PHP4
Name:			php-%{modname}
Version:		%{phpversion}_%{rversion}
Release:		%{release}
Group:			System/Servers
URL:			http://pear.php.net/package-info.php?pacid=76
License:		PHP License
Source0:		%{modname}-%{rversion}.tar.bz2
#Requires:		libphp_common%{libversion}
Requires:		php%{libversion}
BuildRequires:  	php%{libversion}-devel
BuildRequires:		XFree86-devel
BuildRequires:		freetype-devel
BuildRequires:		freetype2-devel
BuildRequires:		ImageMagick-devel
BuildRequires:		bzip2-devel
BuildRequires:		libjbig-devel
BuildRequires:		lcms-devel
BuildRequires:		zlib1-devel >= 1.1.4
BuildRequires:		chrpath
Requires:		ImageMagick
Requires:		XFree86-libs
Requires:		freetype
Requires:		freetype2
#Requires:		libMagick5.5.7
#Requires:		bzip2_1 (what's that?)
#Requires:		lcms (what's that?)
#Requires:		zlib1 >= 1.1.4
BuildRoot:		%{_tmppath}/%{name}-root
Provides: 		ADVXpackage

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%{name} is a native php-extension. See the examples in the 
%{_docdir}/%{name}-%{rversion}/examples directory
for some hints on how to use it. 

%prep
%setup -q -n imagick-%{rversion}

%build

phpize
%configure --with-imagick
%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc examples CREDITS INSTALL README.%{modname}
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php/%{inifile}

%changelog
* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.9.8-1mdk
- 0.9.8

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.9.7-1mdk
- built for php 4.3.4

* Mon Sep 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.9.7-3mdk
- revert the "fix some Requires/BuildRequires on libs"
- fix explicit-lib-dependency
- fix buildrequires

* Mon Sep 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.3.3_0.9.7-2mdk
- use chrpath
- fix some Requires/BuildRequires on libs

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.9.7-1mdk
- built for php 4.3.3
- misc spec file fixes

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.7-2mdk
- fix #4870

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.7-1mdk
- 0.9.7

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.6-1mdk
- 0.9.6
- built for 4.3.2

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_0.9.4-1mdk
- fix the php versioning
- rebuild against new libMagick5.5.4

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.4-2mdk
- what's ibMagick5.5.4 ? ;)

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.4-1mdk
- 0.9.4
- rebuilt against libMagick5.5.4
- misc spec file fixes

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-1mdk
- built against php-4.3.0
- 0.9.3
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Tue Dec 03 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0.1-1mdk
- initial cooker contrib
